﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;
using System.Collections.ObjectModel;

namespace TreeViewLonDemand
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            GenerateTreeData();
        }

        private void GenerateTreeData()
        {
            ObservableCollection<DataItem> rootCollection = new ObservableCollection<DataItem>();
            DataItem root = new DataItem()
            {
                Name = "Sport Categories",
                Expanded = true,
                LoadOnDemand = false
            };
            root.Children.Add(
                new DataItem()
                {
                    Name = "FootBall",
                    LoadOnDemand = true,
                    Expanded = false
                });
            root.Children.Add(
               new DataItem()
               {
                   Name = "Formula One",
                   LoadOnDemand = false,
                   Expanded = false
               });
            root.Children.Add(
               new DataItem()
               {
                   Name = "Gold",
                   LoadOnDemand = true,
                   Expanded = false
               });
            root.Children.Add(
             new DataItem()
             {
                 Name = "BasketBall",
                 LoadOnDemand = false,
                 Expanded = false
             });
            rootCollection.Add(root);
            this.radTreeView.ItemsSource= rootCollection;
            
        }

        private void radTreeView_LoadOnDemand(object sender, RadRoutedEventArgs e)
        {

        } 
    }
}
